Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nfunk.jep
Class Operator

    java.lang.Object
      org.nfunk.jep.Operator

Direct Known Subclasses:
  XOperator

    public class Operator

extends java.lang.Object

A class containing information about an operator.

Author:
  Rich Morris Created on 19-Oct-2003
See Also:
  `OperatorSet`

Constructor Summary
`Operator(java.lang.String name, PostfixMathCommandI pfmc)` construct a new operator.
`Operator(java.lang.String name, java.lang.String symbol, PostfixMathCommandI pfmc)` construct a new operator, with a different name and symbol

Method Summary
`java.lang.String` | `getName()` returns a unique name definig this operator.
`PostfixMathCommandI` | `getPFMC()`
`java.lang.String` | `getSymbol()` returns the symbol used by this operator.
`void` | `setPFMC(PostfixMathCommandI pfmc)`
`java.lang.String` | `toString()` returns a verbose representation of the operator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Operator

    public Operator(java.lang.String name,
                    PostfixMathCommandI pfmc)

  construct a new operator.

  Parameters:
    `name` - printable name of operator
    `pfmc` - postfix math command for opperator

### Operator

    public Operator(java.lang.String name,
                    java.lang.String symbol,
                    PostfixMathCommandI pfmc)

  construct a new operator, with a different name and symbol

  Parameters:
    `name` - name of operator, must be unique, used when describing operator
    `symbol` - printable name of operator, used for printing equations
    `pfmc` - postfix math command for opperator

Method Detail

### getSymbol

    public final java.lang.String getSymbol()

  returns the symbol used by this operator.

### getName

    public final java.lang.String getName()

  returns a unique name definig this operator.

### getPFMC

    public final PostfixMathCommandI getPFMC()

### setPFMC

    public final void setPFMC(PostfixMathCommandI pfmc)

### toString

    public java.lang.String toString()

  returns a verbose representation of the operator.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems